## spidev 3.5

=== Makefile ===
PYTHON ?= python

all:
	$(PYTHON) setup.py build

install:
	$(PYTHON) setup.py install

clean:
	$(PYTHON) setup.py clean
	rm -rf build dist

cleandir distclean: clean
	$(PYTHON) setup.py clean -a

=== debian/changelog ===
spidev (3.5-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:13:42 +0000

spidev (3.5-3) unstable; urgency=medium

  * Source-only upload.

 -- Anton Gladky <gladk@debian.org>  Wed, 29 Dec 2021 19:03:46 +0100

spidev (3.5-2) unstable; urgency=low

  * Initial release. (Closes: #1002665)

 -- Anton Gladky <gladk@debian.org>  Sun, 26 Dec 2021 23:50:16 +0100

=== debian/control ===
Source: spidev
Section: python
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Anton Gladky <gladk@debian.org>
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-setuptools
Standards-Version: 4.5.1
Homepage: http://github.com/doceme/py-spidev
Vcs-Browser: https://salsa.debian.org/electronics-team/spidev
Vcs-Git: https://salsa.debian.org/electronics-team/spidev.git

Package: python3-spidev
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python bindings for Linux SPI access through spidev
 This project contains a python module for interfacing with SPI
 devices from user space via the spidev linux kernel
 driver.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=spidev
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
# try also https://pypi.debian.net/spidev/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/spidev/spidev-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## spidev 3.6

=== debian/changelog ===
spidev (3.6-1build6) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:22:39 +0000

spidev (3.6-1build5) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 01:09:50 +0000

spidev (3.6-1build4) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:59:33 +0100

spidev (3.6-1build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:54:44 +0000

spidev (3.6-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 18:00:55 +0000

spidev (3.6-1build1) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:44:48 -0500

spidev (3.6-1) unstable; urgency=medium

  * [bcffa24] New upstream version 3.6
  * [8a1c5f2] Clear gitlab-ci.yml
  * [f3767c2] Trim trailing whitespace.
  * [ff82526] Use secure URI in Homepage field.
  * [48e7bd4] Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * [f89cd10] Update standards version to 4.6.2, no changes needed.
  * [da684d9] Update d/copyright

 -- Anton Gladky <gladk@debian.org>  Sat, 14 Jan 2023 20:48:26 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                dh-python,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 4.5.1
-Homepage: http://github.com/doceme/py-spidev
+Standards-Version: 4.6.2
+Homepage: https://github.com/doceme/py-spidev
 Vcs-Browser: https://salsa.debian.org/electronics-team/spidev
 Vcs-Git: https://salsa.debian.org/electronics-team/spidev.git

## spidev 20200602~200721

=== debian/changelog ===
spidev (20200602~200721-1~buster) buster; urgency=medium

  [ dpslwk ]
  * MIT license in setup.py and update MANIFEST

  [ Phil Howard ]
  * Call Py_DECREF to fix leaked reference counts for #91
  * Use PyLong_FromLong instead of Py_BuildValue to avoid unnecessary string
    parsing
  * Update to setuptools, fix pypi formatting
  * Add missing Py_DECREF to error handling

  [ Stephen Caudle ]
  * Bump minor version
  * Update CHANGELOG.md

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 26 May 2021 14:56:19 +0100

spidev (20190221~182651-1) buster; urgency=medium

  * Update to latest version

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 17 Jan 2020 12:43:00 +0000

spidev (20170223~145721-2) buster; urgency=medium

  * Buster build

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 22 Jan 2019 12:07:48 +0000

spidev (20170223~145721-1) stretch; urgency=medium

  * Initial release

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 16 Oct 2017 17:10:24 +0100

=== debian/control ===
Source: spidev
Section: python
Priority: optional
Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends: debhelper (>= 11~), dh-python, python-all, python-setuptools,
 python3-all, python3-setuptools, python-dev, python3-dev
Standards-Version: 4.3.0
Homepage: https://github.com/doceme/py-spidev
X-Python-Version: all
X-Python3-Version: all

Package: python-spidev
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-spidev-doc
Description: Bindings for Linux SPI access through spidev (Python 2)
 Contains a module for interfacing with SPI devices from user space via the
 spidev linux kernel driver
 .
 This package installs the library for Python 2.

Package: python3-spidev
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-spidev-doc
Description: Bindings for Linux SPI access through spidev (Python 3)
 Contains a module for interfacing with SPI devices from user space via the
 spidev linux kernel driver
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export PYBUILD_NAME=spidev

%:
	dh $@ --with python2,python3 --buildsystem=pybuild
